package com.maintain.business.service;

import com.maintain.business.domain.ErpCar;
import com.maintain.business.domain.vo.ErpCarVo;
import com.maintain.business.domain.bo.ErpCarBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 客户信息-车辆Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpCarService {

    /**
     * 查询客户信息-车辆
     */
    ErpCarVo queryById(Long id);

    /**
     * 查询客户信息-车辆列表（自定义分页查询）
     */
    TableDataInfo<ErpCarVo> selectPageCarList(ErpCarBo bo, PageQuery pageQuery);

    /**
     * 查询客户信息-车辆列表（自定义查询）
     */
    List<ErpCarVo> selectCarList(ErpCarBo bo);

    /**
     * 查询客户信息-车辆列表
     */
    TableDataInfo<ErpCarVo> queryPageList(ErpCarBo bo, PageQuery pageQuery);

    /**
     * 查询客户信息-车辆列表
     */
    List<ErpCarVo> queryList(ErpCarBo bo);

    /**
     * 新增客户信息-车辆
     */
    Boolean insertByBo(ErpCarBo bo);

    /**
     * 修改客户信息-车辆
     */
    Boolean updateByBo(ErpCarBo bo);

    /**
     * 校验并批量删除客户信息-车辆信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
